import { ref } from 'vue'

//默认default最多显示15个,id唯一标识
export const menuList = ref([
    // 生产保障
    {
        id: 'xxtb',
        name: '信息通报',
        icon: 'xxtb',
        group: '生产保障',
        default: true,
        count: 0,
        url: '/panel/inforDisclosure/search',
        apiPath: '/informationAbout'
    },
    {
        id: 'hbbz',
        name: '航班保障',
        icon: 'hbbz',
        group: '生产保障',
        default: true,
        count: 0,
        url: '/panel/flight-support/list',
        apiPath: '/workbench'
    },
    {
        id: 'AOG',
        name: 'AOG任务',
        icon: 'AOG',
        group: '生产保障',
        default: true,
        count: 0,
        url: '/panel/aog/search',
        apiPath: '/AOGManagement'
    },
    {
        id: 'wdgj',
        name: '我的跟机',
        icon: 'wdgj',
        group: '生产保障',
        default: true,
        count: 0,
        url: '/panel/supported-task/list',
        apiPath: '/workbench'
    },
    {
        id: 'sfd',
        name: '收费单',
        icon: 'sfd',
        group: '生产保障',
        default: true,
        count: 0,
        url: '/panel/electronicBill/list',
        apiPath: '/ElectronBill'
    },
    // 维修控制
    {
        id: 'yxdc',
        name: '运行调查',
        icon: 'yxdc',
        group: '维修控制',
        default: false,
        count: 0,
        url: '/panel/operationalSurvey/list',
        apiPath: '/operationalSurvey'
    },
    {
        id: 'yxjc',
        name: '运行决策',
        icon: 'yxjc',
        group: '维修控制',
        default: false,
        count: 0,
        url: '/panel/move-decision/list',
        apiPath: '/MoveDecision'
    },
    {
        id: 'bzgz',
        name: '布置工作',
        icon: 'bzgz',
        group: '维修控制',
        default: false,
        count: 0,
        url: '/panel/assign-work/search',
        apiPath: '/assignWork'
    },
    {
        id: 'jxyw',
        name: '机械延误',
        icon: 'jxyw',
        group: '维修控制',
        default: false,
        count: 0,
        url: '/panel/mechanicalAbnormalEvents/list',
        apiPath: '/mechanicalAbnormalEvents'
    },
    {
        id: 'ffh',
        name: '防风害',
        icon: 'ffh',
        group: '维修控制',
        default: false,
        count: 0,
        url: '/panel/windDamageManagement/list',
        apiPath: '/windDamageWorkInspection'
    },
    {
        id: 'hjzb',
        name: '海技值班',
        icon: 'hjzb',
        group: '维修控制',
        default: false,
        count: 0,
        url: '/panel/dutyLog/list',
        apiPath: '/dutyLog'
    },
    // 技术支援
    {
        id: 'jdzt',
        name: '机队状态',
        icon: 'jdzt',
        group: '技术支援',
        default: true,
        count: 0,
        url: '/panel/fleet/search',
        apiPath: '/fleetStatusManagement'
    },
    {
        id: 'zysq',
        name: '支援申请',
        icon: 'zysq',
        group: '技术支援',
        default: false,
        count: 0,
        url: '/panel/support-application/search',
        apiPath: '/supportApplication'
    },
    // { id: 'gzzl', name: '工作指令', icon: 'gzzl', group: '技术支援', default: false, count: 0, url: '/panel/work-assignment/search',"apiPath":"/workAssignment" },
    {
        id: 'jspg',
        name: '技术评估',
        icon: 'jspg',
        group: '技术支援',
        default: false,
        count: 0,
        url: '/panel/technology-evaluation/list',
        apiPath: '/technologyEvaluation'
    },
    {
        id: 'jsfx',
        name: '技术分析',
        icon: 'jsfx',
        group: '技术支援',
        default: false,
        count: 0,
        url: '/panel/technicalAnalysis/list',
        apiPath: '/technicalAnalysis'
    },
    {
        id: 'MCO',
        name: 'MCO',
        icon: 'MCO',
        group: '技术支援',
        default: true,
        count: 0,
        url: '/panel/mco/search',
        apiPath: '/mcoManagement'
    },
    {
        id: 'wjll',
        name: '文件浏览',
        icon: 'wjll',
        group: '技术支援',
        default: false,
        count: 0,
        url: '/panel/fileList/index',
        apiPath: '/ElectronBill'
    },
    // 运行品质
    {
        id: 'pzfx',
        name: '品质分析',
        icon: 'pzfx',
        group: '运行品质',
        default: false,
        count: 0,
        url: '/panel/qualityAnalysis/list',
        apiPath: '/qualityAnalysis'
    },
    {
        id: 'khjl',
        name: '考核记录',
        icon: 'khjl',
        group: '运行品质',
        default: false,
        count: 0,
        url: '/panel/appraisal-record/list',
        apiPath: '/AppraisalRecord'
    },
    {
        id: 'gcfx',
        name: '工程分析',
        icon: 'gcfx',
        group: '运行品质',
        default: false,
        count: 0,
        url: '/panel/engineeringEvaluation/list',
        apiPath: '/engineeringEvaluation'
    },
    // 航站管理
    {
        id: 'bzcsj',
        name: '不正常事件',
        icon: 'bzcsj',
        group: '航站管理',
        default: false,
        count: 0,
        url: '/panel/abnormalEventManage/list',
        apiPath: '/terminalQualityManagement'
    },
    {
        id: 'xydw',
        name: '协议单位',
        icon: 'xydw',
        group: '航站管理',
        default: false,
        count: 0,
        url: '/panel/workSupervision/list',
        apiPath: '/terminalQualityManagement'
    },
    // 定检管理
    {
        id: 'fjhyj',
        name: '非计划预警',
        icon: 'fjhyj',
        group: '定检管理',
        default: false,
        count: 0,
        url: '/panel/unplanWarning/list',
        apiPath: '/noplan'
    },
    {
        id: 'fjhsq',
        name: '非计划申请',
        icon: 'fjhsq',
        group: '定检管理',
        default: false,
        count: 0,
        url: '/panel/unplanApply/list',
        apiPath: '/noplan'
    }
])
